Show / Hide Table of Contents

# Class FrameView

The FrameView is a container frame that draws a frame around the contents

##### Inheritance

System.Object
Responder
View
FrameView

##### Inherited Members

Responder.CanFocus
Responder.MouseEvent(MouseEvent)
View.Add(View[])
View.AddRune(Int32, Int32, Rune)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.Clear(Rect)
View.ClearNeedsDisplay()
View.ClipToBounds()
View.ColorScheme
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.DrawHotString(ustring, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Height
View.Id
View.LayoutStyle
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ProcessKey(KeyEvent)
View.ScreenToView(Int32, Int32)
View.SetClip(Rect)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
View.Width
View.X
View.Y

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class FrameView : Terminal.Gui.View

### Constructors

#### FrameView(ustring)

Initializes a new instance of the Terminal.Gui.Gui.FrameView class with a title and the result is suitable to have its X, Y, Width and Height properties computed.

##### Declaration

    public FrameView (NStack.ustring title);

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title.

#### FrameView(Rect, ustring)

Initializes a new instance of the Terminal.Gui.Gui.FrameView class with an absolute position and a title.

##### Declaration

    public FrameView (Terminal.Gui.Rect frame, NStack.ustring title);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | Frame.
NStack.ustring | title | Title.

### Properties

#### Title

The title to be displayed for this window.

##### Declaration

    public NStack.ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The title.

### Methods

#### Add(View)

Add the specified view to the ContentView.

##### Declaration

    public override void Add (Terminal.Gui.View view);

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | View to add to the window.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Gui.Rect bounds);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds | To be added.

#### Remove(View)

Removes a widget from this container.

##### Declaration

    public override void Remove (Terminal.Gui.View view);

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | To be added.

#### RemoveAll()

Removes all widgets from this container.

##### Declaration

    public override void RemoveAll ();